Name:           qsstv
Version:        9.5.11
Release:        %mkrel 1
Summary:        Qt-based SSTV and HamDRM
Group:          Communications/Radio
License:        GPLv3
URL:            https://github.com/Artemia76/QSSTV
# NOTE Create tarball using mk-tar script in SOURCES
Source0:        %{name}-%{version}.tar.gz
Source1:        qsstv.desktop
Source2:        qsstv.1
Source3:        index.html
Source4:        mk-tar

Patch0:         qsstv-9.5.11-rigcontrol.cpp.patch
Patch1:         qsstv-9.5.11-mga-qwt6.patch
Patch2:         qsstv-9.5.11-mga-url.patch

BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(hamlib)
BuildRequires:  pkgconfig(libopenjp2)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6Qwt6)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(Qt6Xml)

Obsoletes:      %{name}-manual < 9.1.8

%description
QSSTV 9 is a program for receiving and transmitting Slow Scan TV and HAMDRM
(sometimes called DSSTV). It is compatible with most of MMSSTV and EasyPal
The User's Guide is in the program Help. 

%prep
%autosetup -p1

# Move documentation to match .pro
mv documentation src/documentation

# Rename doxy config to match .pro
mv src/documentation/manual/manual.doxy src/documentation/manual/manual.y

# Remove bundled qwt
rm -rf qwt

%build
%{qmake_qt6} PREFIX=%{_prefix} CONFIG+='debug and release' src/%{name}.pro

%make_build

%install
INSTALL_ROOT=%{buildroot}; export INSTALL_ROOT
%make_install

# Redirect to web based user manual
mkdir -p %{buildroot}%{_docdir}/%{name}/manual
cp -f %{SOURCE3} %{buildroot}%{_docdir}/%{name}/manual/index.html

# Install icon
mkdir -p %{buildroot}%{_iconsdir}
cp -f src/icons/qsstv.png %{buildroot}%{_iconsdir}/qsstv.png

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Install man page borrowed from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/

%files
%{_bindir}/* 
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/manual/index.html
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Sep 01 2024 barjac <barjac> 9.5.11-1.mga10
+ Revision: 2092540
- new version 9.5.11
 - new upstream fork
- change urls in sources
- create Source0 using mk-tar script
- switch to Qt6
- patch for qwt6
- include upstream PR to fix build (c++-14)
- add BR doxygen
- use autosetup

* Mon Apr 04 2022 umeabot <umeabot> 9.5.8-2.mga9
+ Revision: 1843746
- Mageia 9 Mass Rebuild

* Sun Sep 19 2021 barjac <barjac> 9.5.8-1.mga9
+ Revision: 1745951
- new version 9.5.8

* Wed Apr 07 2021 barjac <barjac> 9.5.3-1.mga9
+ Revision: 1713926
- new version 9.5.3
- Source0 now uses tar.gz
- Icon location change

* Thu Dec 17 2020 umeabot <umeabot> 9.4.4-5.mga8
+ Revision: 1659551
- Rebuild for new Qt5

* Sat Oct 31 2020 barjac <barjac> 9.4.4-4.mga8
+ Revision: 1640763
- rebuild for hamlib-4.1

* Thu Feb 20 2020 umeabot <umeabot> 9.4.4-3.mga8
+ Revision: 1546336
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 9.4.4-2.mga8
+ Revision: 1486356
- rebuild for hamlib-4.0

* Mon Aug 19 2019 barjac <barjac> 9.4.4-1.mga8
+ Revision: 1429901
- new version 9.4.4
- removed unused variable
- upstream switched Source0 to .zip

* Wed May 15 2019 barjac <barjac> 9.4.2-1.mga7
+ Revision: 1397774
- new version 9.4.2
- Add html redirect to web manual
- Adjust files list

* Thu Apr 18 2019 barjac <barjac> 9.3.3-1.mga7
+ Revision: 1393290
- new version 9.3.3

* Mon Apr 01 2019 umeabot <umeabot> 9.3.1-0.beta.2.mga7
+ Revision: 1384272
- Qt5 Rebuild

* Mon Mar 04 2019 barjac <barjac> 9.3.1-0.beta.1.mga7
+ Revision: 1371546
- new version 9.3.1_beta
- hack spec to cope with weird upstream dir naming and beta

* Sun Sep 23 2018 umeabot <umeabot> 9.2.6-2.mga7
+ Revision: 1300678
- Mageia 7 Mass Rebuild

* Fri Dec 29 2017 barjac <barjac> 9.2.6-1.mga7
+ Revision: 1187162
- new version 9.2.6
- drop patch merged upstream

* Sun Aug 27 2017 daviddavid <daviddavid> 9.2.4-3.mga7
+ Revision: 1148311
- update mga-openjpeg.h patch to fix build
- split out all Qt5 BRs

* Fri Mar 10 2017 akien <akien> 9.2.4-2.mga6
+ Revision: 1091632
- Rebuild for v4l-utils 1.12.3

* Wed Dec 21 2016 barjac <barjac> 9.2.4-1.mga6
+ Revision: 1076268
- new version 9.2.4

* Fri Sep 02 2016 barjac <barjac> 9.1.8-2.mga6
+ Revision: 1049748
- patch to fix editor opening problem
- patch to fix openjpeg #include path

* Mon Aug 15 2016 barjac <barjac> 9.1.8-1.mga6
+ Revision: 1046495
- new version
- removed documentation package and patched config so it is accessed from help menu
- use %%make_build
- fix broken documentation desktop file by dropping doc sub-package

* Wed Jun 29 2016 barjac <barjac> 9.1.6-1.mga6
+ Revision: 1038091
- new bugfix version 9.1.6

* Mon Apr 18 2016 barjac <barjac> 9.1.5-1.mga6
+ Revision: 1003528
- new version 9.1.5

* Sat Apr 16 2016 barjac <barjac> 9.1.4-2.mga6
+ Revision: 1003039
- add -manual package
- remove old changelog
- correct license

* Sat Apr 16 2016 barjac <barjac> 9.1.4-1.mga6
+ Revision: 1002858
- new version 9.1.4

* Fri Apr 15 2016 barjac <barjac> 9.1.3-1.mga6
+ Revision: 1002679
- new version 9.1.3
- new and changed BRs

* Mon Feb 15 2016 barjac <barjac> 8.2.12-1.mga6
+ Revision: 961145
- spec clean
- import qsstv with thanks to Fedora


* Mon Feb 01 2016 Rex Dieter <rdieter@fedoraproject.org> 8.2.12-2
- use %%qmake_qt5 macro to ensure proper build flags

* Sun Jul 12 2015 Richard Shaw <hobbes1069@gmail.com> - 8.2.12-1
- Fix grey pictures TX for some modes.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.2.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 8.2.11-2
- Rebuilt for GCC 5 C++11 ABI change

* Mon Mar 23 2015 Richard Shaw <hobbes1069@gmail.com> - 8.2.11-1
- Update to latest upstream release, 8.2.11.
- Fixes CAT control bug.

* Sun Mar  1 2015 Richard Shaw <hobbes1069@gmail.com> - 8.2.10-1
- Update to latest upstream release, 8.2.10.

* Sun Dec  7 2014 Richard Shaw <hobbes1069@gmail.com> - 8.2.9-1
- Update to latest upstream release.

* Sat Oct 11 2014 Richard Shaw <hobbes1069@gmail.com> - 8.2.8-1
- Update to latest upstream release.
- Move documentation to a doc subpackage.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 Richard Shaw <hobbes1069@gmail.com> - 8.2.7-1
- Update to latest upstream release.

* Fri Apr  4 2014 Richard Shaw <hobbes1069@gmail.com> - 8.2.6-1
- Update to latest upstream release.

* Sat Mar  8 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 8.2.4-2
- Rebuild against fixed qt to fix -debuginfo (#1074041)

* Sun Mar  2 2014 Richard Shaw <hobbes1069@gmail.com> - 8.2.4-1
- Update to latest upstream release.

* Tue Feb 11 2014 Richard Shaw <hobbes1069@gmail.com> - 8.1.17-1
- Update to latest upstream release.

* Wed Jan 29 2014 Richard Shaw <hobbes1069@gmail.com> - 8.1.14-1
- Update to latest upstream release.

* Sun Jan 26 2014 Richard Shaw <hobbes1069@gmail.com> - 8.1.13-1
- Update to latest upstream release.

* Mon Jan  6 2014 Richard Shaw <hobbes1069@gmail.com> - 8.1.12-1
- Update to latest upstream release.

* Tue Dec 17 2013 Richard Shaw <hobbes1069@gmail.com> - 8.1.3
- Update to latest upstream release.

* Sun Aug 05 2012 Richard Shaw <hobbes1069@gmail.com> - 7.1.7-1
- Update to latest upstream release.

* Fri Nov 27 2009 Lucian Langa <cooly@gnome.eu.org> - 5.3c-6
- improve desktop file (#530838)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3c-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3c-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 24 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-3
- fix build requires

* Sun Aug 17 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-2
- add desktop file

* Sun Aug 10 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-1
- Misc cleanups

* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 0.5c-1
- Initial build

